* sim/ucsim/configure.in, sim/ucsim/configure, sim/ucsim/ddconfig_in.h:
[fw/sdcc] / configure
index 311e6691c2597049f8bbed47927ab282324e6564..acb7b36f5c9d4df583f193517124f98654136bf8 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for sdcc 2.7.1.
+# Generated by GNU Autoconf 2.61 for sdcc 2.7.2.
 #
 # Report bugs to <sdcc-devel@lists.sourceforge.net>.
 #
@@ -574,8 +574,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='sdcc'
 PACKAGE_TARNAME='sdcc'
-PACKAGE_VERSION='2.7.1'
-PACKAGE_STRING='sdcc 2.7.1'
+PACKAGE_VERSION='2.7.2'
+PACKAGE_STRING='sdcc 2.7.2'
 PACKAGE_BUGREPORT='sdcc-devel@lists.sourceforge.net'
 
 ac_unique_file="Makefile.in"
@@ -1227,7 +1227,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures sdcc 2.7.1 to adapt to many kinds of systems.
+\`configure' configures sdcc 2.7.2 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1293,7 +1293,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of sdcc 2.7.1:";;
+     short | recursive ) echo "Configuration of sdcc 2.7.2:";;
    esac
   cat <<\_ACEOF
 
@@ -1400,7 +1400,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-sdcc configure 2.7.1
+sdcc configure 2.7.2
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1414,7 +1414,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by sdcc $as_me 2.7.1, which was
+It was created by sdcc $as_me 2.7.2, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -6037,9 +6037,14 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-{ echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
-echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6; }
-if test "${ac_cv_c_bigendian+set}" = set; then
+
+# SDCC_BUILD_BIGENDIAN ([ACTION-IF-TRUE], [ACTION-IF-FALSE], [ACTION-IF-UNKNOWN])
+# -------------------------------------------------------------------------
+# SDCC_BUILD_BIGENDIAN
+
+{ echo "$as_me:$LINENO: checking whether host machine byte ordering is bigendian" >&5
+echo $ECHO_N "checking whether host machine byte ordering is bigendian... $ECHO_C" >&6; }
+if test "${sdcc_cv_build_bigendian+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   # See if sys/param.h defines the BYTE_ORDER macro.
@@ -6119,12 +6124,12 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_cv_c_bigendian=yes
+  sdcc_cv_build_bigendian=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_c_bigendian=no
+       sdcc_cv_build_bigendian=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
@@ -6135,7 +6140,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
        # It does not; compile a test program.
 if test "$cross_compiling" = yes; then
   # try to guess the endianness by grepping values into an object file
-  ac_cv_c_bigendian=unknown
+  sdcc_cv_build_bigendian=unknown
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -6174,14 +6179,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
   if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
-  ac_cv_c_bigendian=yes
+  sdcc_cv_build_bigendian=yes
 fi
 if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
-  if test "$ac_cv_c_bigendian" = unknown; then
-    ac_cv_c_bigendian=no
+  if test "$sdcc_cv_build_bigendian" = unknown; then
+    sdcc_cv_build_bigendian=no
   else
     # finding both strings is unlikely to happen, but who knows?
-    ac_cv_c_bigendian=unknown
+    sdcc_cv_build_bigendian=unknown
   fi
 fi
 else
@@ -6237,14 +6242,14 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_c_bigendian=no
+  sdcc_cv_build_bigendian=no
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-ac_cv_c_bigendian=yes
+sdcc_cv_build_bigendian=yes
 fi
 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
@@ -6254,22 +6259,22 @@ fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
-echo "${ECHO_T}$ac_cv_c_bigendian" >&6; }
-case $ac_cv_c_bigendian in
+{ echo "$as_me:$LINENO: result: $sdcc_cv_build_bigendian" >&5
+echo "${ECHO_T}$sdcc_cv_build_bigendian" >&6; }
+case $sdcc_cv_build_bigendian in
   yes)
 
 cat >>confdefs.h <<\_ACEOF
-#define WORDS_BIGENDIAN 1
+#define BUILD_WORDS_BIGENDIAN 1
 _ACEOF
  ;;
   no)
      ;;
   *)
     { { echo "$as_me:$LINENO: error: unknown endianness
-presetting ac_cv_c_bigendian=no (or yes) will help" >&5
+presetting sdcc_cv_build_bigendian=no (or yes) will help" >&5
 echo "$as_me: error: unknown endianness
-presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
+presetting sdcc_cv_build_bigendian=no (or yes) will help" >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
 
@@ -8057,7 +8062,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by sdcc $as_me 2.7.1, which was
+This file was extended by sdcc $as_me 2.7.2, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -8106,7 +8111,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-sdcc config.status 2.7.1
+sdcc config.status 2.7.2
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"